Skip to main content
POST
/
v1
/
extract
Extract Data (Synchronous)
curl --request POST \
  --url https://api.kiriku.app/v1/extract \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'documentType=<string>' \
  --form fileBack='@example-file' \
  --form fraudCheck=false \
  --form returnConfidence=false \
  --form returnRawText=false
{
  "referenceId": "<string>",
  "status": "completed",
  "documentType": "<string>",
  "result": {
    "extractedData": {},
    "globalConfidence": 123
  },
  "creditsUsed": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
file
file
required

The document file (JPEG, PNG, WEBP, PDF). Max 10MB.

documentType
string
required

Slug of the template to use (e.g. 'cni-senegal') or 'auto'.

fileBack
file

Optional back side of the document.

fraudCheck
boolean
default:false
returnConfidence
boolean
default:false
returnRawText
boolean
default:false

Response

200 - application/json

Successful extraction

referenceId
string
status
enum<string>
Available options:
completed,
failed
documentType
string
result
object
creditsUsed
number